#ifdef GL_ES
precision mediump float;
#endif

/*varying vec4 v_fragmentColor;*/
varying vec2 v_texCoord;

uniform sampler2D u_texture;

/*uniform vec4 substract;*/
uniform vec2 blursize;

const float q = 2.44089;
const float pi = 3.14159;

float gaussian(int x, int y) {
   float q2sq = 2.0 * q * q;
   return 1.0 / (q2sq * pi) * exp( - float(x*x + y*y) / q2sq );
}

void main() {

	vec4 sum = vec4(0.0);

   int i,j;

   for (i=-5; i<6; i++)
      for (j=-5; j<6; j++)
      {
         sum += texture2D( u_texture, vec2(
          v_texCoord.x - float(i) * blursize[0] , 
          v_texCoord.y - float(j) * blursize[1] )
         ) * gaussian(i,j); // 1.0/81.0; //*  big[i*9 + j];
      }
   sum = (sum - 0.2)*3.3 + 0.2;
   sum[3] = 1.0;
	gl_FragColor = sum * 0.25; 
	/*gl_FragColor = sum * 0.45; */

}

